# coding: utf-8

require 'spec_helper'

describe AlpacaComplete::Detect do
  context 'can get rails_root_path' do

    let(:dammy_path) { [# {{{
      "./spec/supports/rails_complete",
      "./spec/supports/rails_complete/Gemfile",
      "./spec/supports/rails_complete/Rakefile",
      "./spec/supports/rails_complete/app/assets/images/rails.png",
      "./spec/supports/rails_complete/app/controllers/application_controller.rb",
      "./spec/supports/rails_complete/app/models/.gitkeep",
      "./spec/supports/rails_complete/config/boot.rb",
      "./spec/supports/rails_complete/config/database.yml",
      "./spec/supports/rails_complete/public/422.html",
      "./spec/supports/rails_complete/public/500.html",
      "./spec/supports/rails_complete/public/favicon.ico",
      "./spec/supports/rails_complete/public/robots.txt",
      "./spec/supports/rails_complete/log/.gitkeep",
      "./spec/supports/rails_complete/public/422.html",
      "./spec/supports/rails_complete/public/500.html",
      "./spec/supports/rails_complete/public/500.html",
      "./spec/supports/rails_complete/public/favicon.ico",
      "./spec/supports/rails_complete/script/rails",
      ]
    } # }}}

    let(:dammy_root) { File.realpath "./spec/supports/rails_complete" }

    it 'return root_path when argument is RoR project path' do
      dammy_path.each do |path|
        AlpacaComplete::Detect.detect( File.realpath(path) ).should eql(dammy_root)
      end
    end

    it 'return nil when one isnt RoR project path' do
      AlpacaComplete::Detect.detect( File.realpath('.') ).should eql(nil)
    end

  end

end
