# coding: utf-8

require 'spec_helper'

describe AlpacaComplete::LocaleComplete do
  context :get_locate do
    let(:rails_path) {
      File.realpath './spec/supports/rails_complete/app/controllers'
    }

    it 'can get locale data as hash' do
      res = subject.get_locale rails_path
      res["ja"].should_not == nil
      res["ja"]["errors"]["messages"]["expired"].should ==
        "has expired, please request a new one"
    end
  end

  context :complete do
    let(:incomplete) { 'ja.errors.messages.expire' }
    let(:rails_path) {
      File.realpath './spec/supports/rails_complete/app/controllers'
    }

    it 'should word to see target' do
      subject.complete(rails_path, incomplete).include?("#{incomplete}d").should == true
    end
  end

  context :get_locale_hash do
    let(:rails_path) {
      File.realpath './spec/supports/rails_complete/app/controllers'
    }
    it 'get complete hash as each of string' do
      locale_list = subject.get_locale_hash({"path" => rails_path})
      locale_list.is_a?(Hash).should == true
      locale_list.include?('ja.errors.messages.expired').should == true
    end
  end

  context :get_locale_list do
    let(:rails_path) {
      File.realpath './spec/supports/rails_complete/app/controllers'
    }

    it 'get complete list as each of string' do
      locale_list = subject.get_locale_list({"path" => rails_path})
      locale_list.is_a?(Array).should == true
      locale_list.include?('ja.errors.messages.expired').should == true
    end
  end

end
